### Enumeration

# Ggit SubmoduleStatus

since: 1.0

#### Declaration

    flags Ggit.SubmoduleStatus

#### Description [src]

FIXME.

Available since: 1.0

#### Members

`GGIT_SUBMODULE_STATUS_IN_HEAD`
  No description available.
  - Value: `1`
  - Nickname: `in-head`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_IN_INDEX`
  No description available.
  - Value: `2`
  - Nickname: `in-index`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_IN_CONFIG`
  No description available.
  - Value: `4`
  - Nickname: `in-config`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_IN_WD`
  No description available.
  - Value: `8`
  - Nickname: `in-wd`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_INDEX_ADDED`
  No description available.
  - Value: `16`
  - Nickname: `index-added`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_INDEX_DELETED`
  No description available.
  - Value: `32`
  - Nickname: `index-deleted`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_INDEX_MODIFIED`
  No description available.
  - Value: `64`
  - Nickname: `index-modified`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_WD_UNINITIALIZED`
  No description available.
  - Value: `128`
  - Nickname: `wd-uninitialized`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_WD_ADDED`
  No description available.
  - Value: `256`
  - Nickname: `wd-added`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_WD_DELETED`
  No description available.
  - Value: `512`
  - Nickname: `wd-deleted`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_WD_MODIFIED`
  No description available.
  - Value: `1024`
  - Nickname: `wd-modified`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_WD_INDEX_MODIFIED`
  No description available.
  - Value: `2048`
  - Nickname: `wd-index-modified`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_WD_WD_MODIFIED`
  No description available.
  - Value: `4096`
  - Nickname: `wd-wd-modified`
  - Available since: 1.0
`GGIT_SUBMODULE_STATUS_WD_UNTRACKED`
  No description available.
  - Value: `8192`
  - Nickname: `wd-untracked`
  - Available since: 1.0